a=/mnt/N3/linux-dsx14j-3.2.40-22259
#t=3.2.30-3201-x64
for t in `cat diff-branches.txt` ; do
  u=linux-`echo $t | cut -d '-' -f 1-2`-unpatched
  m=linux-dsx14j-`echo $t | cut -d '-' -f 1`-unpatched
  echo $t
  if [ ! -e $m ]; then
    echo $m
    exit 1
  fi
  if [ ! -e $a/$u ]; then
    echo $u
  fi
  cd linux-dsx14j-3.2.y
  ##git checkout dsx14j-3.2.y-comcerto2k
  git checkout $t
  cd ..
  if [ ! -e _${t}_u_g.patch ]; then
  echo "Generating _${t}_u_g.patch ..."
  diff -wbBur $a/$u linux-dsx14j-3.2.y > _${t}_u_g.patch || true
  fi
  if [ ! -e _${t}-identical-files.txt ]; then
    if [ ! -e _${t}-identical.txt ]; then
      echo "Generating _${t}-identical.txt ..."
      diff --exclude=.git -wbBqrs ${m} linux-dsx14j-3.2.y > _${t}-identical.txt || true
    fi
    echo "Generating _${t}-identical-files.txt ..."
    grep -E '^Dateien .* und .* sind identisch.$' _${t}-identical.txt | sed "s|$a/$u|u|g" |cut -d ' ' -f 2 | cut -d / -f 2- > _${t}-identical-files.txt
    rm _${t}-identical.txt
  fi
done
cd linux-dsx14j-3.2.y
git checkout dsx14j-3.2.y-comcerto2k
cd ..
cat  _3.2.*.patch | grep -v -E '#ifndef MY_ABC_HERE$|#define MY_ABC_HERE$|#endif$|^\+\+\+|^---|\$Id: |\$Log: |\$Revision: |\$Date: |\$Header: |\$Id\$|Revision 1.1.1.1| log message|CONFIG_CROSS_COMPILE' | grep -E '^\+|^-' | sort | uniq
