#!/bin/sh

if [ -e linux-dsx14j-3.2.yw ]; then

cd linux-dsx14j-3.2.yw/
# 3203-to-3776: changes
git checkout 14c4c874158c8e058f21358e4cbc86ec5865440d
cd ..

if [ ! -e _3.2.40-identical.txt ]; then
  echo "Generating _3.2.40-identical.txt ..."
  diff --exclude=.git -wbBqrs linux-dsx14j-3.2.40-unpatched linux-dsx14j-3.2.yw > _3.2.40-identical.txt
fi
if [ ! -e _3.2.40-identical-files.txt ]; then
  echo "Generating _3.2.40-identical-files.txt ..."
  grep -E '^Dateien .* und .* sind identisch.$' _3.2.40-identical.txt | cut -d ' ' -f 2 | cut -d / -f 2- > _3.2.40-identical-files.txt
fi

cd linux-dsx14j-3.2.yw/
git checkout 3.2.30-3203-armada370
cd ..

#rm -f _3.2.30-keep-files.txt

if [ ! -e _3.2.30-keep-files.txt ]; then
  echo "Generating _3.2.30-keep-files.txt ..."
grep -E '^\+\+\+' patches/linux-3.2.40-armada370-merged-3203-to-3776.patch | cut -f 1 | cut -d / -f 2- | while read f ; do
  if grep -q -E '^'$f'$' _3.2.40-identical-files.txt ; then
    #echo $f
    #cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    diff --exclude=.git -wbBq linux-dsx14j-3.2.30-unpatched/$f linux-dsx14j-3.2.yw/$f
    rc=$?
    if [ $rc != 0 ]; then
      echo $f >> _3.2.30-keep-files.txt
    fi
  fi
done
fi


if [ ! -e patches/linux-3.2.40-armada370-merged-2636-to-3201-v2-whitespace-merge.patch ] ; then
  echo "Generating patches/linux-3.2.40-armada370-merged-2636-to-3201-v2-whitespace-merge.patch ..."
#if false ; then
grep -E '^\+\+\+' patches/linux-3.2.40-armada370-merged-3203-to-3776.patch | cut -f 1 | cut -d / -f 2- | while read f ; do
  if grep -q -E '^'$f'$' _3.2.40-identical-files.txt ; then
    #echo $f
    #cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    if ! grep -q -E '^'$f'$' _3.2.30-keep-files.txt ; then
      #diff --exclude=.git -wbBq linux-dsx14j-3.2.30-unpatched/$f linux-dsx14j-3.2.yw/$f
      echo $f
      cp -p linux-dsx14j-3.2.30-unpatched/$f linux-dsx14j-3.2.yw/$f
      #cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    fi
    #rc=$?
    #if [ $rc != 0 ]; then
    #  echo $f >> _3.2.30-keep-files.txt
    #fi
  fi
done
#fi

cd linux-dsx14j-3.2.yw/
git diff > ../patches/linux-3.2.40-armada370-merged-2636-to-3201-v2-whitespace-merge.patch
patch -p1 -R < ../patches/linux-3.2.40-armada370-merged-2636-to-3201-v2-whitespace-merge.patch
cd ..
fi


cd linux-dsx14j-3.2.yw/
# 3203-to-3776: changes
git checkout 14c4c874158c8e058f21358e4cbc86ec5865440d
cd ..

fi # [ -e linux-dsx14j-3.2.yw ]

if [ ! -e _3.2.40-identical-copy.txt ]; then
 echo "Generating _3.2.40-identical-copy.txt ..."
  grep -E '^\+\+\+' patches/linux-3.2.40-armada370-merged-3203-to-3776.patch | cut -f 1 | cut -d / -f 2- | while read f ; do
    if grep -q -E '^'$f'$' _3.2.40-identical-files.txt ; then
      if ! grep -q -E '^'$f'$' _3.2.30-keep-files.txt ; then
         echo $f >>  _3.2.40-identical-copy.txt
      fi
    fi
  done
fi

if [ ! -e patches/linux-3.2.40-armada370-merged-3203-to-3776-v2-whitespace-merge.patch ] ; then
  echo "Generating patches/linux-3.2.40-armada370-merged-3203-to-3776-v2-whitespace-merge.patch ..."
#if false ; then
grep -E '^\+\+\+' patches/linux-3.2.40-armada370-merged-3203-to-3776.patch | cut -f 1 | cut -d / -f 2- | while read f ; do
  if grep -q -E '^'$f'$' _3.2.40-identical-files.txt ; then
    #echo $f
    #cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    if ! grep -q -E '^'$f'$' _3.2.30-keep-files.txt ; then
      #diff --exclude=.git -wbBq linux-dsx14j-3.2.30-unpatched/$f linux-dsx14j-3.2.yw/$f
      echo $f
      #cp -p linux-dsx14j-3.2.30-unpatched/$f linux-dsx14j-3.2.yw/$f
      cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    fi
    #rc=$?
    #if [ $rc != 0 ]; then
    #  echo $f >> _3.2.30-keep-files.txt
    #fi
  fi
done
#fi

  cd linux-dsx14j-3.2.yw/
  git diff > ../patches/linux-3.2.40-armada370-merged-3203-to-3776-v2-whitespace-merge.patch
  patch -p1 -R < ../patches/linux-3.2.40-armada370-merged-3203-to-3776-v2-whitespace-merge.patch
  cd ..
fi


if [ -e _4_5.patch ] ; then
grep -E '^\+\+\+' _4_5.patch | cut -f 1 | cut -d / -f 2- | while read f ; do
  if ! grep -q -E '^'$f'$' _3.2.40-identical-copy.txt ; then
    echo $f
    #cp -p linux-dsx14j-3.2.40-unpatched/$f linux-dsx14j-3.2.yw/$f
    cp -p linux5/$f linux4/$f
  fi
done
fi

echo OK
