#!/bin/sh

if [ ! -e linux-3.2.11-2636-patched0 ]; then
  echo "Copying linux-3.2.11-2636-patched2..."
  mkdir linux-3.2.11-2636-patched0
  cp -apP /mnt/N3/linux-dsx14j-3.2.40-22259/linux-3.2.11-2636-patched2/. linux-3.2.11-2636-patched0/
fi

if [ ! -e linux-3.2.11-2636-patched0b ]; then
  echo "Copying linux-3.2.11-2636-patched0 ..."
  mkdir linux-3.2.11-2636-patched0b
  cp -apP linux-3.2.11-2636-patched0/. linux-3.2.11-2636-patched0b/
fi

#for f in `cat _syno-files-all.txt` ; do
for f in `cat _syno-files-mainline-to-3203.txt` ; do
  if ! grep -q -E "^${f}$" _syno-files.txt ; then
    if ! grep -q -E "^${f}$" _syno-files-3203.txt ; then
      if ! grep -q -E "^${f}$" _syno-files-extra.txt ; then
        if ! grep -q -E "^${f}$" _syno-files-space.txt ; then
          echo $f
	  cp -p linux-dsx14j-3.2.11-unpatched/${f} linux-3.2.11-2636-patched0b/${f}
        fi
      fi
    fi
  fi
done

echo "Creating linux-3.2.11-x64-mainline-to-2636-v2-wbB.patch ..."
diff -wbBur linux-dsx14j-3.2.11-unpatched linux-3.2.11-2636-patched0b > patches/linux-3.2.11-x64-mainline-to-2636-v2-wbB.patch || true
echo "Creating linux-3.2.11-x64-mainline-to-2636-v2.patch ..."
diff -ur linux-dsx14j-3.2.11-unpatched linux-3.2.11-2636-patched0b > patches/linux-3.2.11-x64-mainline-to-2636-v2.patch || true

if [ ! -e linux-3.2.11-2636-patched1b ]; then
  echo "Copying linux-dsx14j-3.2.11-unpatched ..."
  mkdir linux-3.2.11-2636-patched1b
  cp -apP linux-dsx14j-3.2.11-unpatched/. linux-3.2.11-2636-patched1b/
  cd linux-3.2.11-2636-patched1b/
  patch -p1 < ../patches/linux-3.2.11-x64-mainline-to-2636-v2-wbB.patch
  cd ..
fi

if [ ! -e linux-3.2.11-2636-patched2b ]; then
  echo "Copying linux-dsx14j-3.2.11-unpatched ..."
  mkdir linux-3.2.11-2636-patched2b
  cp -apP linux-dsx14j-3.2.11-unpatched/. linux-3.2.11-2636-patched2b/
  cd linux-3.2.11-2636-patched2b/
  patch -p1 < ../patches/linux-3.2.11-x64-mainline-to-2636-v2.patch
  cd ..
fi

echo "Creating linux-3.2.11-x64-mainline-to-2636-v2-whitespace.patch ..."
diff -ur linux-3.2.11-2636-patched1b linux-3.2.11-2636-patched2b > patches/linux-3.2.11-x64-mainline-to-2636-v2-whitespace.patch || true

echo "Creating linux-3.2.11-x64-mainline-to-2636-extra-v2.patch ..."
diff --exclude='.git' --exclude='.gitignore' -urN linux-3.2.11-2636-patched2b linux-3.2.11-2636-patched0b > patches/linux-3.2.11-x64-mainline-to-2636-extra-v2.patch || true

echo OK
